#!/bin/sh
#
# hotkey script
#
# for Panasonic Let's note Light
#
# By: YOKOTA Hiroshi

export LANG=C

AC_state=/proc/acpi/ac_adapter/AC/state
PCC=/proc/acpi/pcc

if [ $1 != "pcc" -o $2 != "HKEY" ]
then
    echo "Unknown state"
    exit 1
fi

case $4 in
    00000081)
	# brightness down
	if grep -q "on-line"  ${AC_state} ; then
	    echo -n $(($(cat ${PCC}/ac_brightness) - 1)) > ${PCC}/ac_brightness
	else
	    echo -n $(($(cat ${PCC}/dc_brightness) - 1)) > ${PCC}/dc_brightness
	fi
	;;
    00000082)
	# brightness up
	if grep -q "on-line" ${AC_state} ; then
	    echo -n $(($(cat ${PCC}/ac_brightness) + 1)) > ${PCC}/ac_brightness
	else
	    echo -n $(($(cat ${PCC}/dc_brightness) + 1)) > ${PCC}/dc_brightness
	fi
	;;
    00000084)
	# toggle mute
	if [ $(cat ${PCC}/mute) = 0 ] ; then
	    echo -n 1 > ${PCC}/mute
	else
	    echo -n 0 > ${PCC}/mute
	fi
	;;
    00000085)
	# volume down
	/usr/bin/amixer -q sset PCM,0 1-
	;;
    00000086)
	# volume up
	/usr/bin/amixer -q sset PCM,0 1+
	;;
    00000088)
	# toggle CRT out
	if /usr/bin/i810switch | grep -q "CRT: on" ; then
	    /usr/bin/i810switch crt off
	else
	    /usr/bin/i810switch crt on
	fi
	;;
    0000000a)
	echo -n "Suspend to disk: "
	date
	/bin/run-parts --lsbsysinit --exit-on-error --arg=suspend --arg=user /etc/acpi/suspend.d

	#--------------------

	/bin/run-parts --lsbsysinit --exit-on-error --arg=resume --arg=suspend /etc/acpi/resume.d
	echo -n "Resume from disk: "
	date
	;;
    *)
	;;
esac

exit 0
# end
